#!/bin/ksh

#**************************************************************
# Author: Didier Swingedouw
# Contact: dswinge@dsm-mail.cea.fr
# $Date: 2005/01/18 $
# $Name: EauDouce.cfg $
# $Revision: 1.1.1 $
# History:
# Modification:
#
#**************************************************************


input=$@
paper=-p
frequency=1:21:50
#  l=`sloop`:`sloop+20`@ave

referencefile="CLIO2D_SceRefGAISM_1500_2400.nc"


# atlas -d -o Test Test.cfg toto

# Remplacer toutes les correlation qui etait fausse avec @ sbx...
#! go CorrelationDetrendMultipleLT "/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y1_1961-2013.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1.nc" tas tas "1:53" 1 "Raw IPSL vs 20CR" 53

# Correlation map Europe Non detrende
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 1-3): raw data no detrend" -o Test CorrelationMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y1-3" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" tas tas "1-3" "Raw IPSL vs 20CR no detrend" 52 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.8,0.8,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 1-3): adjusted data no detrend" -o Test CorrelationMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-1-3.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" tasadjust tas "1-3" "20CR adjusted vs 20CR no detrend" 53 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.8,0.8,0.1)(INF)"'

echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 2-4): raw data no detrend" -o Test CorrelationMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y2-4" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" tas tas "2-4" "Raw IPSL vs 20CR" 51 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.8,0.8,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 2-4): adjusted data no detrend" -o Test CorrelationMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-2-4.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" tasadjust tas "2-4" "20CR adjusted vs 20CR no detrend" 51 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.8,0.8,0.1)(INF)"'

echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 3-5): raw data no detrend" -o Test CorrelationMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y3-5" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1960-2014.nc" tas tas "3-5" "Raw IPSL vs 20CR no detrend" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.8,0.8,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 3-5): adjusted data no detrend" -o Test CorrelationMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-3-5.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-5.nc" tasadjust tas "3-5" "20CR adjusted vs 20CR no detrend" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.8,0.8,0.1)(INF)"'


## Correlation map Europe
# LT de 3
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 1-3): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y1-3" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" tas tas "1-3" "Raw IPSL vs 20CR" 52 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 1-3): adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-1-3.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" tasadjust tas "1-3" "20CR adjusted vs 20CR" 52 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 1-3): WATCH adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_WATCH/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_TCDF-CDFT22s-WFDEI_Lead-1-3.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" tasadjust tas "1-3" "WATCH adjusted vs 20CR" 52 "/X=-10:60/Y=30:70"'

echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 2-4): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y2-4" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" tas tas "2-4" "Raw IPSL vs 20CR" 51 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 2-4): adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-2-4.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" tasadjust tas "2-4" "20CR adjusted vs 20CR" 51 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 2-4): WATCH adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_WATCH/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_TCDF-CDFT22s-WFDEI_Lead-2-4.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" tasadjust tas "2-4" "WATCH adjusted vs 20CR" 51 "/X=-10:60/Y=30:70"'

echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 3-5): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y3-5" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1610-20144_LT3-5.nc" tas tas "3-5" "Raw IPSL vs 20CR" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 3-5): adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-3-5.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-20144_LT3-5.nc" tasadjust tas "3-5" "20CR adjusted vs 20CR" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 3-5): WATCH adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_WATCH/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_TCDF-CDFT22s-WFDEI_Lead-3-5.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-20144_LT3-5..nc" tasadjust tas "3-5" "WATCH adjusted vs 20CR" 50 "/X=-10:60/Y=30:70"'


# LT de 5
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 1-5): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y1-3" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-5.nc" tas tas "1-5" "Raw IPSL vs 20CR" 50 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 1-5): adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-1-5.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-20144_LT1-5.nc" tasadjust tas "1-5" "20CR adjusted vs 20CR" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'

echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 2-6): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y2-6" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-6.nc" tas tas "2-6" "Raw IPSL vs 20CR" 49 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 2-6): adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-2-6.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-6.nc" tasadjust tas "2-6" "20CR adjusted vs 20CR" 49 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'

echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 3-7): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/tas_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y3-5" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-7.nc" tas tas "3-7" "Raw IPSL vs 20CR" 48 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map tas (LT 3-7): adjusted data" -o Test CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-3-7.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/tas_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-7.nc" tasadjust tas "3-7" "20CR adjusted vs 20CR" 48 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'



# Moyenne Europe
#echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe" -o Test PlotZoneAvg '"X=-10:30@ave,Y=30:60@ave" "1-3" "Europe (10E-30W, 30N-60N)" "1"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT '"X=-10:30@ave,Y=30:60@ave" "1-3" "Europe (10E-30W, 30N-60N)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT2 '"X=-10:30@ave,Y=30:60@ave" "1-3" "Europe (10E-30W, 30N-60N)"'

#echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe" -o Test PlotZoneAvg '"X=-10:30@ave,Y=30:60@ave" "2-4" "Europe (0-30W, 30N-60N)" "2"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT '"X=-10:30@ave,Y=30:60@ave" "2-4" "Europe (10E-30W, 30N-60N)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT2 '"X=-10:30@ave,Y=30:60@ave" "2-4" "Europe (10E-30W, 30N-60N)"'

#echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe" -o Test PlotZoneAvg '"X=-10:30@ave,Y=30:60@ave" "3-5" "Europe (0-30W, 30N-60N)" "3"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT '"X=-10:30@ave,Y=30:60@ave" "3-5" "Europe (10E-30W, 30N-60N)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT2 '"X=-10:30@ave,Y=30:60@ave" "3-5" "Europe (10E-30W, 30N-60N)"'

#echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe" -o Test PlotZoneAvg '"X=-10:30@ave,Y=30:60@ave" "1-5" "Europe (10E-30W, 30N-60N)" "1" "Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead" 5'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT '"X=-10:30@ave,Y=30:60@ave" "1-5" "Europe (10E-30W, 30N-60N)" "Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead" 5'

#echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe" -o Test PlotZoneAvg '"X=-10:30@ave,Y=30:60@ave" "2-6" "Europe (10E-30W, 30N-60N)" "2" "Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead" 5'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT '"X=-10:30@ave,Y=30:60@ave" "2-6" "Europe (0-30W, 30N-60N)" "Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead" 5'

#echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe" -o Test PlotZoneAvg '"X=-10:30@ave,Y=30:60@ave" "3-7" "Europe (10E-30W, 30N-60N)" "3" "Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead" 5'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Time series Europe: DetrendMultipleLTed" -o Test PlotZoneAvgDetrendMultipleLT '"X=-10:30@ave,Y=30:60@ave" "3-7" "Europe (10E-30W, 30N-60N)" "Decadal_NOAA20C/tasAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead" 5'


# Correlation precipitation !!!

echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 1-3): raw data no detrend" -o Test CorrelationMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y1-3" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" pr pr "1-3" "Raw IPSL vs 20CR" 52 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 1-3): adjusted data no detrend" -o Test  CorrelationMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-1-3_19610101-20151231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" pradjust pr "1-3" "20CR adjusted vs 20CR" 52 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 2-4): raw data no detrend" -o Test Correlation '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y2-4" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" pr pr "2-4" "Raw IPSL vs 20CR" 51 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 2-4): adjusted data no detrend" -o Test  CorrelationMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-2-4_19610101-20151231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" pradjust pr "2-4" "20CR adjusted vs 20CR" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 3-5): raw data no detrend" -o Test CorrelationMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y3-5" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-5.nc" pr pr "3-5" "Raw IPSL vs 20CR" 50 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 3-5): adjusted data no detrend" -o Test  CorrelationMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-3-5_19610101-20151231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-5.nc" pradjust pr "3-5" "20CR adjusted vs 20CR" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl"'



echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 1-3): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y1-3" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" pr pr "1-3" "Raw IPSL vs 20CR" 52 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 1-3): adjusted data" -o Test  CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-1-3_19610101-20151231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-3.nc" pradjust pr "1-3" "20CR adjusted vs 20CR" 52 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 2-4): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y2-4" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" pr pr "2-4" "Raw IPSL vs 20CR" 51 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 2-4): adjusted data" -o Test  CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-2-4_19620101-20161231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-4.nc" pradjust pr "2-4" "20CR adjusted vs 20CR" 51 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 3-5): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y3-5" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-5.nc" pr pr "3-5" "Raw IPSL vs 20CR" 50 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)"'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 3-5): adjusted data" -o Test  CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-3-5_19630101-20171231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-5.nc" pradjust pr "3-5" "20CR adjusted vs 20CR" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'


echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 1-5): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y1-5" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-5.nc" pr pr "1-5" "Raw IPSL vs 20CR" 50 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 1-5): adjusted data" -o Test  CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-1-5_19610101-20151231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT1-5.nc" pradjust pr "1-5" "20CR adjusted vs 20CR" 50 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 2-6): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y2-6" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-6.nc" pr pr "2-6" "Raw IPSL vs 20CR" 49 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 2-6): adjusted data" -o Test  CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-2-6_19620101-20161231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT2-6.nc" pradjust pr "2-6" "20CR adjusted vs 20CR" 49 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 3-7): raw data" -o Test CorrelationDetrendMultipleLT '"/data/swingedouw/DEC/Fake_TS/pr_yea_IPSL-CM5A-LR_decadal_S19610101_EnsMean_Y3-7" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-7.nc" pr pr "3-7" "Raw IPSL vs 20CR" 48 /X=-20:60/Y=30:70 "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'
echo $input | ferretloop -d - $paper --ps2gif_option "-g 1600xc" -s $frequency -i "Correlation map pr (LT 3-7): adjusted data" -o Test  CorrelationDetrendMultipleLT.jnl '"/data/swingedouw/DEC/Decadal_NOAA20C/prAdjust_yea_IPSL-CM5A-LR_decadal_EnsMean_gr2_TCDF-CDFT22s-NOAA20CRv2c_Lead-3-7_19630101-20171231.nc" "/data/swingedouw/DEC/NOAA-20C_V2C/pr_yea_NOAA-20C-V2C_grid_decadal_con_1961-2014_LT3-7.nc" pradjust pr "3-7" "20CR adjusted vs 20CR" 48 "/X=-20:60/Y=30:70" "/pal=light_centered/lev=(-INF)(-0.7,0.7,0.1)(INF)" ".jnl" 90'


